package jp.sourceforge.glad.collection.iteration;

import java.util.Map;

public class MapValuesIterationHandler<T>
        extends IterableIterationHandler<T>
        implements IterationHandler<T> {

    public MapValuesIterationHandler(Map<?, T> map) {
        super(map.values());
    }

    public MapValuesIterationHandler(Object label, Map<?, T> map) {
        super(label, map.values());
    }

}
